import { ApiRequest } from './request.js';
import { ApiResponse } from './response.js';
/**
 * Convert error stack string to an error object.
 *
 * It is an expirement to use server error stack and convert
 * it to an actual error object.
 */
export declare function stackToError(errorStack: any): string | Error;
/**
 * Default implementation to print request errors
 */
export declare function dumpResponseError(response: ApiResponse): void;
/**
 * Default implementation to log request cookies
 */
export declare function dumpRequestCookies(request: ApiRequest): void;
/**
 * Default implementation to log response cookies
 */
export declare function dumpResponseCookies(response: ApiResponse): void;
/**
 * Default implementation to log request headers
 */
export declare function dumpRequestHeaders(request: ApiRequest): void;
/**
 * Default implementation to log response headers
 */
export declare function dumpResponseHeaders(response: ApiResponse): void;
/**
 * Default implementation to log request body
 */
export declare function dumpRequestBody(request: ApiRequest): void;
/**
 * Default implementation to log response body
 */
export declare function dumpResponseBody(response: ApiResponse): void;
/**
 * Default implementation to log request
 */
export declare function dumpRequest(request: ApiRequest): void;
/**
 * Default implementation to log response
 */
export declare function dumpResponse(response: ApiResponse): void;
